@echo off

set FB_DIRECTORY=\\FIDELIO\FB_DATA
rem   !!!!!!!!!=================================================!!!!!!!!!
rem		  NO CHANGES BELOW THIS LINE
rem   !!!!!!!!!=================================================!!!!!!!!!

rem   *******************************************************************
rem   This batch runs the necessary scripts for the Fidelio F&B interface
rem   and calls the FB_POS.
rem   
rem   Read the attached readme.txt for installation steps
rem
rem   Interface.bat Ver. 1.04
rem   Made by:		AVincent  12/02/1997
rem   
rem   Modified by:	
rem			Mkoetzle  24/08/2000
rem			Mkoetzle  06/02/2001
rem			EBlankers 22/05/2002
rem   *******************************************************************
cls

rem   *******************************************************************
rem
rem   Create the location for the export files and rename the log file 
rem   from the previous day
rem
rem   *******************************************************************


IF NOT EXIST %RESROOTDIR%\interface\. MD %RESROOTDIR%\interface
IF NOT EXIST %RESROOTDIR%\interface\ZIP\. MD %RESROOTDIR%\interface\ZIP

if exist %RESROOTDIR%\interface\interface.OLD DEL %RESROOTDIR%\interface\interface.OLD
if exist %RESROOTDIR%\interface\interface.LOG RENAME %RESROOTDIR%\interface\interface.LOG interface.OLD


DATE /T >> %RESROOTDIR%\interface\interface.LOG
ECHO Beginning interface.BAT at>> %RESROOTDIR%\interface\interface.LOG
TIME /T >> %RESROOTDIR%\interface\interface.LOG

rem   ********************************************************************
rem   
rem   Roll out of the 7 previous days archive of the exports files
rem 
rem   ********************************************************************


ECHO Doing zip roll out >> %RESROOTDIR%\interface\interface.LOG
TIME /T >> %RESROOTDIR%\interface\interface.LOG

if exist %RESROOTDIR%\interface\007.ZIP  del %RESROOTDIR%\interface\007.ZIP
if exist %RESROOTDIR%\interface\006.ZIP  rename %RESROOTDIR%\interface\006.ZIP 007.ZIP
if exist %RESROOTDIR%\interface\005.ZIP  rename %RESROOTDIR%\interface\005.ZIP 006.ZIP
if exist %RESROOTDIR%\interface\004.ZIP  rename %RESROOTDIR%\interface\004.ZIP 005.ZIP
if exist %RESROOTDIR%\interface\003.ZIP  rename %RESROOTDIR%\interface\003.ZIP 004.ZIP
if exist %RESROOTDIR%\interface\002.ZIP  rename %RESROOTDIR%\interface\002.ZIP 003.ZIP
if exist %RESROOTDIR%\interface\001.ZIP  rename %RESROOTDIR%\interface\001.ZIP 002.ZIP


rem    *********************************************************************
rem
rem    Archiving the exports files from the previous day
rem
rem    *********************************************************************


ECHO Archiving the exports files from previous day at>> %RESROOTDIR%\interface\interface.LOG
TIME /T >> %RESROOTDIR%\interface\interface.LOG


IF EXIST %RESROOTDIR%\interface\FAMDEF copy %RESROOTDIR%\interface\FAMDEF %RESROOTDIR%\interface\ZIP\FAMDEF 
IF EXIST %RESROOTDIR%\interface\FAMDEF del %RESROOTDIR%\interface\FAMDEF 
IF EXIST %RESROOTDIR%\interface\MAJDEF copy %RESROOTDIR%\interface\MAJDEF %RESROOTDIR%\interface\ZIP\MAJDEF 
IF EXIST %RESROOTDIR%\interface\MAJDEF del %RESROOTDIR%\interface\MAJDEF
IF EXIST %RESROOTDIR%\interface\MIDEF copy %RESROOTDIR%\interface\MIDEF %RESROOTDIR%\interface\ZIP\MIDEF 
IF EXIST %RESROOTDIR%\interface\MIDEF del %RESROOTDIR%\interface\MIDEF 
IF EXIST %RESROOTDIR%\interface\RVCDEF copy %RESROOTDIR%\interface\RVCDEF %RESROOTDIR%\interface\ZIP\RVCDEF 
IF EXIST %RESROOTDIR%\interface\RVCDEF del %RESROOTDIR%\interface\RVCDEF 
IF EXIST %RESROOTDIR%\interface\TAXDEF copy %RESROOTDIR%\interface\TAXDEF %RESROOTDIR%\interface\ZIP\TAXDEF 
IF EXIST %RESROOTDIR%\interface\TAXDEF del %RESROOTDIR%\interface\TAXDEF
IF EXIST %RESROOTDIR%\interface\RVCREV copy %RESROOTDIR%\interface\RVCREV %RESROOTDIR%\interface\ZIP\RVCREV 
IF EXIST %RESROOTDIR%\interface\RVCREV del %RESROOTDIR%\interface\RVCREV


CD %RESROOTDIR%\interface\ZIP
%RESROOTDIR%\scripts\fb\PKZIP 001.ZIP *.*
IF EXIST 001.ZIP COPY %RESROOTDIR%\interface\ZIP\001.ZIP %RESROOTDIR%\interface\001.ZIP
CD %RESROOTDIR%\interface\ZIP
rem IF EXIST *.* DEL /Q *.*


rem    *********************************************************************
rem
rem    Exporting the data from 3700 database
rem
rem    *********************************************************************

     
ECHO  Exporting 3700 data at>> %RESROOTDIR%\interface\interface.LOG
TIME /T >> %RESROOTDIR%\interface\interface.LOG


CD %RESROOTDIR%\scripts\fb

dbisql -q rvcdef
dbisql -q taxdef
dbisql -q majdef
dbisql -q famdef
dbisql -q midef
dbisql -q rvcrev

rem    **********************************************************************
rem
rem    Copying the export files to the F&B directory
rem    replace <server_name> with your Novell server name
rem
rem    **********************************************************************

ECHO Transfer to the network drive at>> %RESROOTDIR%\interface\interface.LOG
TIME /T >> %RESROOTDIR%\interface\interface.LOG 

CD %RESROOTDIR%\interface

COPY RVCDEF %FB_DIRECTORY%
COPY TAXDEF %FB_DIRECTORY%
COPY MAJDEF %FB_DIRECTORY%
COPY FAMDEF %FB_DIRECTORY%
COPY MIDEF  %FB_DIRECTORY%
COPY RVCREV %FB_DIRECTORY%


rem exit


rem *** end of interfac.bat file ****
